Bug 1418774 (CVE-2016-1566) - CVE-2016-1566 guacamole: Stored cross-site scripting
Summary: CVE-2016-1566 guacamole: Stored cross-site scripting
Keywords:
Status: CLOSED UPSTREAM
Alias: CVE-2016-1566
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1418775 1418777 1418776
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 17:00 UTC by Andrej Nemec
Modified: 2021-02-17 02:39 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:06:53 UTC


Attachments (Terms of Use)

Description Andrej Nemec 2017-02-02 17:00:47 UTC
Since version 0.9.8, Guacamole has provided access to files via a file browser located in the Guacamole menu. If file transfer is enabled on a remote desktop connection, this file browser displays a navigable hierarchy of files to which the user has access.

A cross-site scripting (XSS) vulnerability was discovered and reported by Niv Levy through which files with specially-crafted names could lead to JavaScript execution if file transfer is enabled to a location which is shared by multiple users.

External References:

https://sourceforge.net/p/guacamole/news/2016/02/security-advisory---stored-xss-cve-2016-1566--guac-1465/

Comment 1 Andrej Nemec 2017-02-02 17:01:29 UTC
Created guacamole tracking bugs for this issue:

Affects: epel-6 [bug 1418776]
Affects: epel-7 [bug 1418777]
Affects: fedora-all [bug 1418775]

Comment 2 Product Security DevOps Team 2019-06-08 03:06:53 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.